import 'dart:ui';
import 'package:flutter/material.dart';

Color hexToColor(String hex) {
  assert(RegExp(r'^#([0-9a-fA-F]{6})|([0-9a-fA-F]{8})$').hasMatch(hex),
      'hex color must be #rrggbb or #rrggbbaa');

  return Color(
    int.parse(hex.substring(1), radix: 16) +
        (hex.length == 7 ? 0xff000000 : 0x00000000),
  );
}

class ColorConstants {
  static Color greyBgColor = hexToColor('#F4F4F4');
  static Color progressBgColor = hexToColor('#FAF5EA');
  static Color progressBorderColor = hexToColor('#FC9300');
  static Color progressGrad1Color = hexToColor('#FDB300');
  static Color progressGrad2Color = hexToColor('#FC8F00');
  static Color rankColor = hexToColor('#EBEBEB');
  static Color leaderBoardListBorderColor = hexToColor('#707070');
  static Color selectedTileColor = hexToColor('#FA5050');
  static Color selectedTileBgColor = hexToColor('#FDEAEA');
}
