import 'package:dio/dio.dart';
import 'package:progamification/src/constants/service_urls.dart';
import 'package:progamification/src/utilities/http_client.dart';

class LeaderBoardService {
  Future<dynamic> getLeaderBoard(String userId, String applicationId) async {
    Dio httpClient = getHttpClient();
    Map<String, dynamic> bodyMap = {'userId': userId, 'appId': applicationId};

    Response response = await httpClient.post(
      ServiceUrls.getUserLeaderBoard,
      data: bodyMap,
      options: Options(
        headers: bodyMap,
      ),
    );

    return response.data;
  }

  Future<dynamic> getUserRewards(String userId, String applicationId) async {
    Dio httpClient = getHttpClient();
    Map<String, dynamic> bodyMap = {'userId': userId, 'appId': applicationId};
    Response response;
    try {
      response = await httpClient.post(
        ServiceUrls.getUserRewards,
        data: bodyMap,
        options: Options(
          headers: bodyMap,
        ),
      );
    } catch (exception) {
      throw Exception('Request failed with error: ${exception.toString()}.');
    }

    return response.data;
  }
}
