import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:progamification/src/constants/color_contants.dart';

class Coins extends StatefulWidget {
  const Coins({super.key});

  @override
  State<Coins> createState() => _CoinsState();
}

class _CoinsState extends State<Coins> {
  TextStyle headerStyle = TextStyle(
      fontSize: 19.0,
      fontWeight: FontWeight.bold,
      fontFamily: GoogleFonts.plusJakartaSans().fontFamily);
  @override
  Widget build(BuildContext context) {
    return Container(
        decoration: BoxDecoration(
          color: ColorConstants.greyBgColor,
        ),
        padding: const EdgeInsets.only(
            left: 20.0, right: 13.0, top: 30.0, bottom: 30.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Padding(
                padding: const EdgeInsets.only(bottom: 10.0),
                child: Text(
                  "Coins",
                  style: headerStyle,
                )),
            Row(mainAxisAlignment: MainAxisAlignment.spaceBetween, children: [
              Row(
                children: [
                  Image.asset(
                    "assets/icons/coin.png",
                    package: "progamification",
                    width: 35,
                    height: 35,
                  ),
                  const SizedBox(width: 10),
                  Text(
                    '0',
                    style: headerStyle,
                  ),
                ],
              ),
              TextButton(
                onPressed: () {
                  // Action to perform when button is pressed
                },
                child: Flex(
                  direction: Axis.horizontal,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Text(
                      "Go to wallet",
                      style: TextStyle(
                          fontSize: 17,
                          color: Colors.black,
                          fontWeight: FontWeight.w700,
                          fontFamily: GoogleFonts.plusJakartaSans().fontFamily),
                    ),
                    const SizedBox(width: 3),
                    const Icon(
                      Icons.arrow_forward_ios_rounded,
                      size: 13,
                      color: Colors.black,
                    )
                  ],
                ),
              )
            ])
          ],
        ));
  }
}
